Bug 1294922 - Huawei E1750 modem stoped working after upgrade to F23
Huawei E1750 modem stoped working after upgrade to F23
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: usb_modeswitch (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: mail@romal.de
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 20:55 EST by Michal Ambroz
Modified: 2016-12-20 12:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:30:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2015-12-30 20:55:38 EST
Description of problem:
Huawei E1750 modem stoped working after upgrade to F23. The usb_modeswitch fails with the default configuration to switch the USB stick from the CDROM to MODEM mode. After all it seems the issue is caused by absence of the parameter DisableMBIMGlobal in the configuration file of /etc/usb_modeswitch.conf.
When it is set to either "1" or "0" switching works correctly, but if it is not set all in the configuration file, then it is causing a problems.


Version-Release number of selected component (if applicable):
usb_modeswitch-data-20151101-1.fc23.noarch

How reproducible:
100%

Steps to Reproduce:
1. install F21 or F22
2. set EnableLogging=1 in the /etc/usb_modeswitch.conf
3. upgrade to F23 - as result of having modified /etc/usb_modeswitch.conf the F23 cofig file will be stored as /etc/usb_modeswitch.conf.rpmnew and the newly introduced parameter DisableMBIMGlobal will not get automatically to the configuration file.
Instead of doing upgrade you probably simply comment-out this variable

4. plug the USB stick in
5. check the lsusb to see the default 12d1:1446
Bus 001 Device 035: ID 12d1:1446 Huawei Technologies Co., Ltd. Broadband stick (modem on)
6. wait for the usb_modeswitch to change it to 12d1:1406 (which should, but doesn't happen)

Actual results:
Switch will not happen.

===== This is the default configuration:
$ cat /etc/usb_modeswitch.d/12d1:1446
# Huawei, newer modems, and rebrandings
TargetVendor=0x12d1
TargetProductList="1001,1404,1406,140b,140c,1412,1417,141b,1429,1432,1433,1436,14ac,1506,150c,1511"
HuaweiNewMode=1

===== Switchig works when ordered manually, but not automatically when the USB stick is inserted

# lsusb | grep -i Huawei
Bus 001 Device 041: ID 12d1:1446 Huawei Technologies Co., Ltd. Broadband stick (modem on)

# usb_modeswitch -W -c /etc/usb_modeswitch.d/12d1\:1446 -v 12d1 -p 1446

Read config file: /etc/usb_modeswitch.d/12d1:1446

 * usb_modeswitch: handle USB devices with multiple modes
 * Version 2.2.5 (C) Josua Dietze 2015
 * Based on libusb1/libusbx

 ! PLEASE REPORT NEW CONFIGURATIONS !

DefaultVendor=  0x12d1
DefaultProduct= 0x1446
TargetVendor=   0x12d1
TargetProductList="1001,1404,1406,140b,140c,1412,1417,141b,1429,1432,1433,1436,14ac,1506,150c,1511"
HuaweiNewMode=1
NeedResponse=0

Look for target devices ...
  found USB ID 8087:8000
  found USB ID 1d6b:0002
  found USB ID 0424:5534
  found USB ID 1d6b:0003
  found USB ID 04f2:b3ed
  found USB ID 138a:003f
  found USB ID 12d1:1446
   vendor ID matched
  found USB ID 8087:07dc
  found USB ID 0424:2134
  found USB ID 1d6b:0002
 No devices in target mode or class found
Look for default devices ...
  found USB ID 8087:8000
  found USB ID 1d6b:0002
  found USB ID 0424:5534
  found USB ID 1d6b:0003
  found USB ID 04f2:b3ed
  found USB ID 138a:003f
  found USB ID 12d1:1446
   vendor ID matched
   product ID matched
  found USB ID 8087:07dc
  found USB ID 0424:2134
  found USB ID 1d6b:0002
 Found devices in default mode (1)
Access device 053 on bus 001
Current configuration number is 1
Use interface number 0
Use endpoints 0x01 (out) and 0x81 (in)

USB description data (for identification)
-------------------------
Manufacturer: HUAWEI Technology
     Product: HUAWEI Mobile
  Serial No.: not provided
-------------------------
Using standard Huawei switching message
Looking for active driver ...
 OK, driver detached
Set up interface 0
Use endpoint 0x01 for message sending ...
Trying to send message 1 to endpoint 0x01 ...
 OK, message successfully sent
Reset response endpoint 0x81
libusb: error [op_clear_halt] clear_halt failed error -1 errno 71
 Could not reset endpoint (probably harmless): -99
Reset message endpoint 0x01
libusb: error [op_clear_halt] clear_halt failed error -1 errno 71
 Could not reset endpoint (probably harmless): -99
-> Run lsusb to note any changes. Bye!

# lsusb | grep -i Huawei
Bus 001 Device 040: ID 12d1:1406 Huawei Technologies Co., Ltd. E1750


===== When /etc/usb_modeswitch.conf is modified to contain the DisableMBIMGlobal variable, then it starts working also automatically.
I guess this could be issue also for other usb_modeswitch devices.
Comment 1 Dušan Hokův 2016-04-21 04:25:27 EDT
I have exactly same issue.

In the /etc/usb_modeswitch.conf I have DisableMBIMGlobal=0
Comment 2 Dušan Hokův 2016-04-21 04:42:22 EDT
After manually 

usb_modeswitch -W -c /etc/usb_modeswitch.d/12d1\:1446 -v 12d1 -p 1446

can try using usb stick, but it fail (ModemManager with --debug):

Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559141] [mm-plugin-manager.c:739] mm_plugin_manager_find_device_support(): (Plugin Manager) [/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2] Checking device support...
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559225] [mm-plugin.c:253] apply_pre_probing_filters(): (Sierra) [ttyUSB1] filtered by drivers
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559252] [mm-plugin.c:326] apply_pre_probing_filters(): (Wavecom) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559270] [mm-plugin.c:326] apply_pre_probing_filters(): (AnyDATA) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559289] [mm-plugin.c:380] apply_pre_probing_filters(): (Ericsson MBM) [ttyUSB1] filtered by udev tags
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559307] [mm-plugin.c:326] apply_pre_probing_filters(): (Telit) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559322] [mm-plugin.c:326] apply_pre_probing_filters(): (Linktop) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559337] [mm-plugin.c:326] apply_pre_probing_filters(): (Motorola) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559353] [mm-plugin.c:326] apply_pre_probing_filters(): (Samsung) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559366] [mm-plugin.c:326] apply_pre_probing_filters(): (Pantech) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559380] [mm-plugin.c:326] apply_pre_probing_filters(): (SimTech) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.559394] [mm-plugin.c:326] apply_pre_probing_filters(): (Nokia (Icera)) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.560184] [mm-plugin.c:326] apply_pre_probing_filters(): (ZTE) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.560199] [mm-plugin.c:326] apply_pre_probing_filters(): (Novatel) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.560207] [mm-plugin.c:326] apply_pre_probing_filters(): (Altair LTE) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.560218] [mm-plugin.c:380] apply_pre_probing_filters(): (MTK) [ttyUSB1] filtered by udev tags
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.560882] [mm-plugin.c:326] apply_pre_probing_filters(): (X22X) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.560898] [mm-plugin.c:326] apply_pre_probing_filters(): (Longcheer) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.560907] [mm-plugin.c:326] apply_pre_probing_filters(): (Novatel LTE) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.560969] [mm-plugin.c:326] apply_pre_probing_filters(): (Option) [ttyUSB1] filtered by vendor/product IDs
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.561169] [mm-plugin.c:253] apply_pre_probing_filters(): (Option High-Speed) [ttyUSB1] filtered by drivers
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.561400] [mm-plugin.c:253] apply_pre_probing_filters(): (Gobi) [ttyUSB1] filtered by drivers
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.561608] [mm-plugin-manager.c:640] build_plugins_list(): (Plugin Manager) [ttyUSB1] Found '6' plugins to try...
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.561764] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB1]   Will try with plugin 'Huawei'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.561884] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB1]   Will try with plugin 'Via CBP7'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.562008] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB1]   Will try with plugin 'Nokia'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.562155] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB1]   Will try with plugin 'Cinterion'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.562301] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB1]   Will try with plugin 'Iridium'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.562441] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB1]   Will try with plugin 'Generic'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.562596] [mm-plugin.c:767] mm_plugin_supports_port(): (Huawei) [ttyUSB1] probe required: 'at, qcdm'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.562737] [mm-port-probe.c:1368] mm_port_probe_run(): (tty/ttyUSB1) launching port probing: 'at, qcdm'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.563033] [mm-port-serial.c:1112] mm_port_serial_open(): (ttyUSB1) opening serial port...
Apr 21 10:32:36 dusan ModemManager[19431]: <warn>  [1461227556.564156] [mm-port-serial.c:515] real_config_fd(): (ttyUSB1): port attributes not fully set
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.564198] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 1 (open)
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.564267] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>^STIN:99,1,0<CR><LF><CR><LF>^BOOT:40402463,0,0,0,20<CR><LF>'
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.664548] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 0 (close)
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.664586] [mm-port-serial.c:1323] _close_internal(): (ttyUSB1) closing serial port...
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.665312] [mm-port-serial.c:1372] _close_internal(): (ttyUSB1) serial port closed
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.665347] [mm-port-serial.c:1434] port_serial_close_force(): (ttyUSB1) forced to close port
Apr 21 10:32:36 dusan ModemManager[19431]: <debug> [1461227556.665406] [mm-plugin-manager.c:514] plugin_supports_port_ready(): (Plugin Manager) (Huawei) [ttyUSB1] deferring support check
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577340] [mm-plugin.c:253] apply_pre_probing_filters(): (Sierra) [ttyUSB0] filtered by drivers
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577474] [mm-plugin.c:326] apply_pre_probing_filters(): (Wavecom) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577543] [mm-plugin.c:326] apply_pre_probing_filters(): (AnyDATA) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577602] [mm-plugin.c:380] apply_pre_probing_filters(): (Ericsson MBM) [ttyUSB0] filtered by udev tags
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577656] [mm-plugin.c:326] apply_pre_probing_filters(): (Telit) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577709] [mm-plugin.c:326] apply_pre_probing_filters(): (Linktop) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577763] [mm-plugin.c:326] apply_pre_probing_filters(): (Motorola) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577814] [mm-plugin.c:326] apply_pre_probing_filters(): (Samsung) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577867] [mm-plugin.c:326] apply_pre_probing_filters(): (Pantech) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577918] [mm-plugin.c:326] apply_pre_probing_filters(): (SimTech) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.577971] [mm-plugin.c:326] apply_pre_probing_filters(): (Nokia (Icera)) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.578024] [mm-plugin.c:326] apply_pre_probing_filters(): (ZTE) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.578076] [mm-plugin.c:326] apply_pre_probing_filters(): (Novatel) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.580501] [mm-plugin.c:326] apply_pre_probing_filters(): (Altair LTE) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.580557] [mm-plugin.c:380] apply_pre_probing_filters(): (MTK) [ttyUSB0] filtered by udev tags
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.580577] [mm-plugin.c:326] apply_pre_probing_filters(): (X22X) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.580592] [mm-plugin.c:326] apply_pre_probing_filters(): (Longcheer) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.580621] [mm-plugin.c:326] apply_pre_probing_filters(): (Novatel LTE) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.580632] [mm-plugin.c:326] apply_pre_probing_filters(): (Option) [ttyUSB0] filtered by vendor/product IDs
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.580642] [mm-plugin.c:253] apply_pre_probing_filters(): (Option High-Speed) [ttyUSB0] filtered by drivers
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.580755] [mm-plugin.c:253] apply_pre_probing_filters(): (Gobi) [ttyUSB0] filtered by drivers
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.581031] [mm-plugin-manager.c:640] build_plugins_list(): (Plugin Manager) [ttyUSB0] Found '6' plugins to try...
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.581290] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB0]   Will try with plugin 'Huawei'
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.581551] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB0]   Will try with plugin 'Via CBP7'
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.581795] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB0]   Will try with plugin 'Nokia'
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.582040] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB0]   Will try with plugin 'Cinterion'
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.582311] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB0]   Will try with plugin 'Iridium'
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.582540] [mm-plugin-manager.c:644] build_plugins_list(): (Plugin Manager) [ttyUSB0]   Will try with plugin 'Generic'
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.582778] [mm-plugin.c:767] mm_plugin_supports_port(): (Huawei) [ttyUSB0] probe required: 'at, qcdm'
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.583022] [mm-port-probe.c:1368] mm_port_probe_run(): (tty/ttyUSB0) launching port probing: 'at, qcdm'
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.583347] [mm-port-serial.c:1112] mm_port_serial_open(): (ttyUSB0) opening serial port...
Apr 21 10:32:37 dusan ModemManager[19431]: <warn>  [1461227557.584174] [mm-port-serial.c:515] real_config_fd(): (ttyUSB0): port attributes not fully set
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.584207] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB0) device open count is 1 (open)
Apr 21 10:32:37 dusan ModemManager[19431]: <debug> [1461227557.684485] [mm-port-serial-at.c:440] debug_log(): (ttyUSB0): --> 'AT^CURC=0<CR>'
Apr 21 10:32:38 dusan ModemManager[19431]: <debug> [1461227558.584614] [mm-port-serial-at.c:440] debug_log(): (ttyUSB0): <-- 'AT^CURC=0'
Apr 21 10:32:38 dusan ModemManager[19431]: <debug> [1461227558.592257] [mm-port-serial-at.c:440] debug_log(): (ttyUSB0): <-- '<CR>'
Apr 21 10:32:38 dusan ModemManager[19431]: <debug> [1461227558.592569] [mm-port-serial-at.c:440] debug_log(): (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:38 dusan ModemManager[19431]: <debug> [1461227558.592601] [huawei/mm-plugin-huawei.c:201] curc_ready(): (Huawei) unsolicited messages in secondary ports turned off
Apr 21 10:32:38 dusan ModemManager[19431]: <debug> [1461227558.592639] [mm-port-serial-at.c:440] debug_log(): (ttyUSB0): --> 'AT^GETPORTMODE<CR>'
Apr 21 10:32:38 dusan ModemManager[19431]: <debug> [1461227558.996651] [mm-plugin-manager.c:710] min_probing_timeout_cb(): (Plugin Manager) [/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2] Minimum probing time consumed
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.992775] [mm-port-serial-at.c:440] debug_log(): (ttyUSB0): <-- 'AT^GETPORTMODE'
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.996979] [mm-plugin.c:767] mm_plugin_supports_port(): (Huawei) [ttyUSB1] probe required: 'at, qcdm'
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.997020] [mm-port-probe.c:1368] mm_port_probe_run(): (tty/ttyUSB1) launching port probing: 'at, qcdm'
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.997101] [mm-port-serial.c:1112] mm_port_serial_open(): (ttyUSB1) opening serial port...
Apr 21 10:32:39 dusan ModemManager[19431]: <warn>  [1461227559.997630] [mm-port-serial.c:515] real_config_fd(): (ttyUSB1): port attributes not fully set
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.997678] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 1 (open)
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.997855] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>^MODE:5,4<CR><LF><CR><LF>^SIMST:1<CR><LF><CR><LF>^SRVST:2<CR><LF>'
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.998340] [mm-port-serial-at.c:440] debug_log(): (ttyUSB0): <-- '<CR>'
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.998781] [mm-port-serial-at.c:440] debug_log(): (ttyUSB0): <-- '<CR><LF>^GETPORTMODE:TYPE:WCDMA:Qualcomm,MDM:0,PCUI:1,PCSC:2,SD:3<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.998835] [huawei/mm-plugin-huawei.c:154] getportmode_ready(): (Huawei) port mode layout retrieved
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.998864] [mm-port-probe.c:154] mm_port_probe_set_result_at(): (tty/ttyUSB0) port is AT-capable
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.998908] [mm-port-serial.c:1307] _close_internal(): (ttyUSB0) device open count is 0 (close)
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.998919] [mm-port-serial.c:1323] _close_internal(): (ttyUSB0) closing serial port...
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.999493] [mm-port-serial.c:1372] _close_internal(): (ttyUSB0) serial port closed
Apr 21 10:32:39 dusan ModemManager[19431]: <debug> [1461227559.999507] [mm-port-serial.c:1434] port_serial_close_force(): (ttyUSB0) forced to close port
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227559.999539] [mm-plugin-manager.c:462] plugin_supports_port_ready(): (Plugin Manager) (Huawei) [ttyUSB0] found best plugin for port
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227559.999548] [mm-plugin-manager.c:232] port_probe_context_finished(): (Plugin Manager) (Huawei) [ttyUSB0]: found best plugin for device (/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227559.999571] [mm-plugin-manager.c:407] suggest_single_port_probe_result(): (Plugin Manager) (Huawei) [ttyUSB1] suggested plugin for port
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227559.999579] [mm-plugin-manager.c:305] port_probe_context_finished(): (Plugin Manager) 'ttyUSB0' port probe finished, still 1 running probes in this device (ttyUSB1)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.098827] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.298921] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- 'AT'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.299643] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300030] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300072] [mm-port-probe.c:154] mm_port_probe_set_result_at(): (tty/ttyUSB1) port is AT-capable
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300102] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 0 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300114] [mm-port-serial.c:1323] _close_internal(): (ttyUSB1) closing serial port...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300530] [mm-port-serial.c:1372] _close_internal(): (ttyUSB1) serial port closed
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300547] [mm-port-serial.c:1434] port_serial_close_force(): (ttyUSB1) forced to close port
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300576] [mm-plugin-manager.c:462] plugin_supports_port_ready(): (Plugin Manager) (Huawei) [ttyUSB1] found best plugin for port
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300589] [mm-plugin-manager.c:316] port_probe_context_finished(): (Plugin Manager) 'ttyUSB1' port probe finished, last one in device
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.300612] [mm-plugin-manager.c:138] find_device_support_context_complete_and_free(): (Plugin Manager) [/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2] device support check finished in '3.741422' seconds
Apr 21 10:32:40 dusan ModemManager[19431]: <info>  [1461227560.300628] [mm-device.c:520] mm_device_create_modem(): Creating modem with plugin 'Huawei' and '2' ports
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.301403] [huawei/mm-plugin-huawei.c:558] grab_port(): (tty/ttyUSB0) Port will have AT flags 'ppp'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.301481] [mm-base-modem.c:304] mm_base_modem_grab_port(): (ttyUSB0) type 'at' claimed by /sys/devices/pci0000:00/0000:00:14.0/usb2/2-2
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.301508] [huawei/mm-plugin-huawei.c:558] grab_port(): (tty/ttyUSB1) Port will have AT flags 'primary'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.301570] [mm-base-modem.c:304] mm_base_modem_grab_port(): (ttyUSB1) type 'at' claimed by /sys/devices/pci0000:00/0000:00:14.0/usb2/2-2
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.301604] [mm-base-modem.c:970] log_port(): (/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2) tty/ttyUSB1 at (primary)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.301625] [mm-base-modem.c:970] log_port(): (/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2) tty/ttyUSB0 data (primary)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.301834] [mm-port-serial.c:1112] mm_port_serial_open(): (ttyUSB1) opening serial port...
Apr 21 10:32:40 dusan ModemManager[19431]: <warn>  [1461227560.302117] [mm-port-serial.c:515] real_config_fd(): (ttyUSB1): port attributes not fully set
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.302145] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 1 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.302178] [mm-port-serial-at.c:476] mm_port_serial_at_run_init_sequence(): (ttyUSB1): running init sequence...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.302214] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 2 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.302243] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <info>  [1461227560.302274] [mm-base-manager.c:162] find_device_support_ready(): Modem for device at '/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2' successfully created
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.302723] [mm-broadband-modem.c:699] modem_load_current_capabilities(): loading current capabilities...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.302744] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 4 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.302786] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'ATE0<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.306977] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- 'ATE0'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.307636] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.308163] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.308210] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'ATV1<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.313462] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.313528] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CMEE=1<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.324356] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.324436] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'ATX4<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.329685] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.329773] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT&C1<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.336143] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.336228] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'ATE0<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.341280] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.341333] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 3 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.341373] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CMEE=1<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.352174] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.352259] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.352302] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+GCAP<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.360960] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.361512] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.361764] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.361966] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+WS46=?<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.372934] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+WS46: (12,22,25)<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.373047] [mm-broadband-modem.c:353] modem_load_current_capabilities_finish(): loaded current capabilities: gsm-umts
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.373123] [mm-iface-modem.c:4345] interface_initialization_step(): Modem allows up to 1 bearers
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.373139] [mm-bearer-list.c:270] mm_bearer_list_new(): Creating bearer list (max: 1, max active: 1)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.373206] [mm-broadband-modem.c:759] modem_load_manufacturer(): loading manufacturer...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.373222] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.373248] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.373269] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CGMI<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.381854] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>huawei<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.381920] [mm-broadband-modem.c:743] modem_load_manufacturer_finish(): loaded manufacturer: huawei
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.381944] [mm-broadband-modem.c:799] modem_load_model(): loading model...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.381969] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.381988] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.382006] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CGMM<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.390982] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>E1750<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.391034] [mm-broadband-modem.c:783] modem_load_model_finish(): loaded model: E1750
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.391053] [mm-broadband-modem.c:839] modem_load_revision(): loading revision...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.391077] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.391095] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.391111] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CGMR<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.399574] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>11.126.08.02.18<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.399684] [mm-broadband-modem.c:823] modem_load_revision_finish(): loaded revision: 11.126.08.02.18
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.399724] [mm-broadband-modem.c:900] modem_load_equipment_identifier(): loading equipment identifier...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.399766] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.399790] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.399820] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CGSN<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.409272] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>353558040402463<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.409351] [mm-broadband-modem.c:882] modem_load_equipment_identifier_finish(): loaded equipment identifier: 353558040402463
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.409394] [mm-broadband-modem.c:988] modem_load_device_identifier(): loading device identifier...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.409421] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.409453] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.409471] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'ATI<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.414791] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>Manufacturer: huawei<CR><LF>Model: E1750<CR><LF>Revision: 11.126.08.02.18<CR><LF>IMEI: 353558040402463<CR><LF>+GCAP: +CGSM,+DS,+ES<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.414864] [mm-modem-helpers.c:148] mm_create_device_identifier(): Device ID source '000012d100001406Manufacturer:huaweiModel:E1750Revision:11.126.08.02.18IMEI:353558040402463+GCAP:+CGSM,+DS,+ES35355804040246311.126.08.02.18E1750huawei'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.414877] [mm-modem-helpers.c:149] mm_create_device_identifier(): Device ID '2183ef5b83d79bd90090da86e7be8d448f4ba75b'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.414883] [mm-broadband-modem.c:951] modem_load_device_identifier_finish(): loaded device identifier: 2183ef5b83d79bd90090da86e7be8d448f4ba75b
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.414918] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.414935] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.414952] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^SYSCFGEX=?<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.432477] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>COMMAND NOT SUPPORT<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.432601] [mm-serial-parsers.c:364] mm_serial_parser_v1_parse(): Got failure code 100: Unknown error
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.432650] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.432673] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.432693] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^SYSCFG=?<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.445667] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>^SYSCFG:(2,13,14,16),(0-3),((400380,"GSM900/GSM1800/WCDMA2100"),(280000,"GSM850/GSM1900"),(3fffffff,"All Bands")),(0-2),(0-4)<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.445841] [mm-broadband-modem.c:1675] modem_load_supported_ip_families(): loading supported IP families...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.445862] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.445886] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.445905] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CGDCONT=?<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.460044] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CGDCONT: (1-16),"IP",,,(0-2),(0-3)<CR><LF>+CGDCONT: (1-16),"PPP",,,(0-2),(0-3)<CR><LF>+CGDCONT: (1-16),"IPV6",,,(0-2),(0-3)<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.460200] [mm-modem-helpers.c:792] mm_3gpp_parse_cgdcont_test_response(): Unhandled PDP type in CGDCONT=? reply: 'PPP'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.460239] [huawei/mm-broadband-modem-huawei.c:2931] enable_disable_unsolicited_rfswitch_event_handler(): Disable ^RFSWITCH unsolicited event handler
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.460257] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.460277] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.460295] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^RFSWITCH?<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.474185] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>COMMAND NOT SUPPORT<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.474253] [mm-serial-parsers.c:364] mm_serial_parser_v1_parse(): Got failure code 100: Unknown error
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.474280] [huawei/mm-broadband-modem-huawei.c:2931] enable_disable_unsolicited_rfswitch_event_handler(): Enable ^RFSWITCH unsolicited event handler
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.474293] [huawei/mm-broadband-modem-huawei.c:2999] huawei_rfswitch_check_ready(): The device does not support ^RFSWITCH
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.474311] [mm-broadband-modem.c:3132] load_power_state(): loading power state...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.474329] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.474348] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.474367] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CFUN?<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.484700] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CFUN: 1<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.484821] [mm-broadband-modem.c:1290] modem_load_unlock_required(): checking if unlock required...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.484840] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.484863] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.484884] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CPIN?<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.494607] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.494692] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 1 (close)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.494729] [huawei/mm-broadband-modem-huawei.c:676] load_unlock_retries(): loading unlock retries (huawei)...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.494762] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 2 (open)
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.494801] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^CPIN?<CR>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.504535] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>^CPIN: READY,,10,3,10,3<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.504786] [mm-iface-modem.c:3101] update_lock_info_context_step(): SIM is ready, running after SIM unlock step...
Apr 21 10:32:40 dusan ModemManager[19431]: <debug> [1461227560.504807] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 1 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.000565] [huawei/mm-sim-huawei.c:118] load_sim_identifier(): loading (Huawei) SIM identifier...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.000609] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 2 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.000628] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^ICCID?<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.011655] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>^ICCID: "982430014170625530F7"<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.011726] [huawei/mm-sim-huawei.c:50] load_sim_identifier_finish(): loaded SIM identifier: 8942031014072655037
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.011752] [mm-base-sim.c:1083] load_imsi(): loading IMSI...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.011769] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.011791] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.011808] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CIMI<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.021183] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>230030166265503<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.021246] [mm-base-sim.c:1072] load_imsi_finish(): loaded IMSI: 230030166265503
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.021266] [mm-base-sim.c:1219] load_operator_identifier(): loading Operator ID...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.021280] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.021301] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.021317] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CRSM=176,28589,0,0,4<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.089031] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CRSM: 144,0,"00000002"<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.089163] [mm-base-sim.c:1330] load_operator_name(): loading Operator Name...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.089182] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.089215] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.089233] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CRSM=176,28486,0,0,17<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.148898] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CRSM: 144,0,"00566F6461666F6E6520435AFFFFFFFFFF"<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.149018] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 1 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.149076] [mm-broadband-modem.c:1168] modem_load_own_numbers(): loading own numbers...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.149090] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 2 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.149125] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CNUM<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.157629] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.157719] [huawei/mm-broadband-modem-huawei.c:1277] load_current_modes(): loading current modes (huawei)...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.157751] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.157772] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.157809] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^SYSCFG?<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.171074] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>^SYSCFG:2,0,3FFFFFFF,1,2<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.171206] [huawei/mm-broadband-modem-huawei.c:853] load_current_bands(): loading current bands (huawei)...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.171237] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.171259] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.171297] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^SYSCFG?<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.184191] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>^SYSCFG:2,0,3FFFFFFF,1,2<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.184438] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 1 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.184718] [mm-broadband-modem.c:3235] modem_3gpp_load_imei(): loading IMEI...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.184754] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 2 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.184787] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CGSN<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.194142] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>353558040402463<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.194215] [mm-broadband-modem.c:3226] modem_3gpp_load_imei_finish(): loaded IMEI: 353558040402463
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.194242] [mm-broadband-modem.c:3394] modem_3gpp_load_enabled_facility_locks(): loading enabled facility locks...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.194258] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.194277] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.194296] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CLCK=?<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.205319] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CLCK: ("AB","AC","AG","AI","AO","IR","OI","OX","SC","FD","PN","PU","PP","PC","PF")<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.205452] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.205478] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.205498] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CLCK="SC",2<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.222177] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CLCK: 0<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.222349] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.222379] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.222402] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CLCK="FD",2<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.239319] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CLCK: 0<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.239430] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.239454] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.239474] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CLCK="PF",2<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.267530] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CLCK: 0<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.267653] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.267680] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.267701] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CLCK="PN",2<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.291996] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CLCK: 0<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.292110] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.292136] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.292177] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CLCK="PU",2<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.316201] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CLCK: 0<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.316331] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.316357] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.316372] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CLCK="PP",2<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.340385] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CLCK: 0<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.340494] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.340517] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.340537] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CLCK="PC",2<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.363770] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CLCK: 0<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.363923] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 1 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.364043] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 2 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.364069] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CUSD=?<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.375224] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CUSD: (0-2)<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.375353] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 1 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.375523] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 2 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.375548] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CNMI=?<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.386217] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CNMI: (0,1,2),(0,1,2,3),(0,2),(0,1,2),(0,1)<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.386344] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 3 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.386370] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 2 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.386393] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT+CPMS=?<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.397275] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>+CPMS: ("ME","MT","SM","SR"),("ME","MT","SM","SR"),("ME","MT","SM","SR")<CR><LF><CR><LF>OK<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.397399] [mm-iface-modem-messaging.c:1148] load_supported_storages_ready(): Supported storages loaded:
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.397409] [mm-iface-modem-messaging.c:1149] load_supported_storages_ready():   mem1 (list/read/delete) storages: 'me, mt, sm, sr'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.397416] [mm-iface-modem-messaging.c:1150] load_supported_storages_ready():   mem2 (write/send) storages:       'me, mt, sm, sr'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.397424] [mm-iface-modem-messaging.c:1151] load_supported_storages_ready():   mem3 (reception) storages:        'me, mt, sm, sr'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.397483] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 1 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.397547] [mm-port-serial.c:1250] mm_port_serial_open(): (ttyUSB1) device open count is 2 (open)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.397570] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^NTCT?<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.407313] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>COMMAND NOT SUPPORT<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.407390] [mm-serial-parsers.c:364] mm_serial_parser_v1_parse(): Got failure code 100: Unknown error
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.407433] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): --> 'AT^TIME<CR>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.415850] [mm-port-serial-at.c:440] debug_log(): (ttyUSB1): <-- '<CR><LF>COMMAND NOT SUPPORT<CR><LF>'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.415916] [mm-serial-parsers.c:364] mm_serial_parser_v1_parse(): Got failure code 100: Unknown error
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.415948] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 1 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.415964] [mm-broadband-modem.c:9228] iface_modem_time_initialize_ready(): Couldn't initialize interface: 'Time not supported'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.416056] [mm-broadband-modem.c:9229] iface_modem_signal_initialize_ready(): Couldn't initialize interface: 'Extended Signal information not supported'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.416142] [mm-broadband-modem.c:9230] iface_modem_oma_initialize_ready(): Couldn't initialize interface: 'OMA not supported'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.416195] [mm-broadband-modem.c:9231] iface_modem_firmware_initialize_ready(): Couldn't initialize interface: 'Firmware not supported'
Apr 21 10:32:44 dusan ModemManager[19431]: <info>  [1461227564.416250] [mm-iface-modem.c:1431] __iface_modem_update_state_internal(): Modem: state changed (unknown -> disabled)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.416295] [mm-port-serial.c:1307] _close_internal(): (ttyUSB1) device open count is 0 (close)
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.416305] [mm-port-serial.c:1323] _close_internal(): (ttyUSB1) closing serial port...
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.416795] [mm-port-serial.c:1372] _close_internal(): (ttyUSB1) serial port closed
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.416823] [mm-base-modem.c:939] initialize_ready(): modem properly initialized
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.417325] [mm-device.c:447] export_modem(): Exported modem '/sys/devices/pci0000:00/0000:00:14.0/usb2/2-2' at path '/org/freedesktop/ModemManager1/Modem/0'
Apr 21 10:32:44 dusan ModemManager[19431]: <debug> [1461227564.417346] [mm-device.c:457] export_modem(): (/org/freedesktop/ModemManager1/Modem/0): 'Huawei' modem, VID 0x12D1 PID 0x1406 (usb)
Apr 21 10:32:44 dusan NetworkManager[17506]: <info>  (ttyUSB1): device state change: unmanaged -> unavailable (reason 'none') [10 20 0]
Apr 21 10:32:44 dusan NetworkManager[17506]: <info>  (ttyUSB1): modem state 'disabled'
Apr 21 10:32:44 dusan NetworkManager[17506]: <info>  (ttyUSB1): new Broadband device (carrier: UNKNOWN, driver: 'option1', ifindex: 0)
Apr 21 10:32:44 dusan gnome-shell-wayland.desktop: (gnome-shell:2032): Gjs-WARNING **: JS ERROR: TypeError: a._connection is null
Apr 21 10:32:44 dusan gnome-shell-wayland.desktop: NMVPNSection<.setActiveConnections/<@resource:///org/gnome/shell/ui/status/network.js:1534
Apr 21 10:32:44 dusan gnome-shell-wayland.desktop: NMVPNSection<.setActiveConnections@resource:///org/gnome/shell/ui/status/network.js:1533
Apr 21 10:32:44 dusan gnome-shell-wayland.desktop: wrapper@resource:///org/gnome/gjs/modules/lang.js:169
Apr 21 10:32:44 dusan gnome-shell-wayland.desktop: NMApplet<._syncVPNConnections@resource:///org/gnome/shell/ui/status/network.js:1822
Apr 21 10:32:44 dusan gnome-shell-wayland.desktop: wrapper@resource:///org/gnome/gjs/modules/lang.js:169
Apr 21 10:32:44 dusan gnome-shell-wayland.desktop: ** (gnome-shell:2032): CRITICAL **: nma_mobile_providers_database_lookup_cdma_sid: assertion 'sid > 0' failed
Apr 21 10:32:44 dusan gnome-shell.desktop: ** (gnome-shell:3064): CRITICAL **: nma_mobile_providers_database_lookup_cdma_sid: assertion 'sid > 0' failed
Apr 21 10:33:02 dusan gnome-shell.desktop: (gnome-shell:3064): libnm-glib-WARNING **: Device activation failed: (32) Connection 'Vodafone Default' is not available on the device ttyUSB1 at this time.
Comment 3 Dušan Hokův 2016-04-21 07:25:37 EDT
second issue is due powermanagement settings...

see: https://bbs.archlinux.org/viewtopic.php?pid=1447958#p1447958

This helps me with second issue.
Comment 4 3zl8hm+72q7jc15ot07k 2016-06-11 21:53:12 EDT
http://www.draisberghof.de/usb_modeswitch/bb/viewtopic.php?f=2&t=2329&view=unread#unread

Regarding usb_modeswitch.
Comment 5 Dušan Hokův 2016-06-27 05:35:34 EDT
problem still persist in the Fedora 24.

must run manually:

usb_modeswitch -W -c /etc/usb_modeswitch.d/12d1\:1446 -v 12d1 -p 1446

then modem detected and can use mobile broadband connection...
Comment 6 samoht0 2016-07-10 09:37:39 EDT
12d1:1446 is not in /usr/lib/udev/rules.d/40-usb_modeswitch.rules. You may try to add:

# Huawei E1750
ATTR{idVendor}=="12d1", ATTR{idProduct}=="1446", RUN+="usb_modeswitch '%b/%k'"

This solved
https://bugzilla.redhat.com/show_bug.cgi?id=1352687
for me.
Comment 7 Lubomir Rintel 2016-07-27 02:57:32 EDT
(In reply to samoht0 from comment #6)
> 12d1:1446 is not in /usr/lib/udev/rules.d/40-usb_modeswitch.rules. You may
> try to add:
> 
> # Huawei E1750
> ATTR{idVendor}=="12d1", ATTR{idProduct}=="1446", RUN+="usb_modeswitch
> '%b/%k'"
> 
> This solved
> https://bugzilla.redhat.com/show_bug.cgi?id=1352687
> for me.

There's a generic entry:

# Generic entry for most Huawei devices, excluding Android phones
ATTRS{idVendor}=="12d1", ATTRS{manufacturer}!="Android", ATTR{bInterfaceNumber}=="00", ATTR{bInterfaceClass}=="08", RUN+="usb_modeswitch '%b/%k'"
Comment 8 samoht0 2016-07-27 13:04:48 EDT
(In reply to Lubomir Rintel from comment #7)
> There's a generic entry:
> 
> # Generic entry for most Huawei devices, excluding Android phones
> ATTRS{idVendor}=="12d1", ATTRS{manufacturer}!="Android",
> ATTR{bInterfaceNumber}=="00", ATTR{bInterfaceClass}=="08",
> RUN+="usb_modeswitch '%b/%k'"

Yes, there is. But it only works, if interface #00 of the Huawei device is class #08 (Storage) after power on.

Huawei E169 (classic modem) works. Huawei E3372 (hostless modem) don't. Huawei E3372 has three interfaces (bNumInterfaces).
Comment 9 samoht0 2016-07-29 03:52:43 EDT
Generic udev rule for Huawei devices seems to work much better with usb_modeswitch-2.4.0-4.fc24. My E3372 is switch now.
Definitely worth testing!
Comment 10 Fedora End Of Life 2016-11-24 09:37:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 12:30:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.